Skip to content

Invoke Service with ACP

POST/v1/endpoints/{endpoint_id}/acp

Experimental ACP-over-HTTP transport. initialize, session/new, and session/cancel return JSON-RPC JSON; session/prompt streams newline-delimited JSON-RPC messages.

Path parameters

stringendpoint_idrequired

Active Service configured with the acp protocol.

JSON-RPC request

Optional<string>jsonrpc

Use 2.0.

Optional<string | number | null>id

Client identifier echoed in the response.

stringmethodrequired

initialize, session/new, session/prompt, or session/cancel.

Optional<object>params

Method-specific parameters. Prompt and cancel require sessionId.

Prompt streaming

session/prompt returns application/x-ndjson session/update notifications followed by a final result containing stopReason.

Experimental transport

ACP-over-HTTP may change. ACP Session IDs are canonical SandBase Session IDs.